Subject: bug#9447: 24.0.50; woman loses single quotes

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Sep 2011 10:24:15 +0300

> From: Glenn Morris <[email-masked]>
> Date: Fri, 09 Sep 2011 02:48:47 -0400
> Cc: Eric Hanchrow <[email-masked]>
> 
> I sort of wonder what the point of woman.el is. It has a punny name, but
> is basically a partial, buggy, reimplementation of a very standard
> external program that is surely installed on any system where man pages
> are used.

You obviously forget the use case of Emacs on MS-Windows.  Man pages
come with many ported packages (including Emacs ;-), but I know of
only 2 decent version of the `man' program available for Windows: one
requires Cygwin to be installed, the other was written by yours truly,
and is not available as a Windows binary in any public site that I
know of (although the sources are available under GPL and can be
easily compiled on Windows).  Thus woman.el.

> Eg I note that it doesn't render man.1 correctly on my current
> system, with the current trunk doing a worse job than Emacs 23.3 does.

Patches are very welcome.